summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Cummings <mcummings@gentoo.org>2006-06-06 14:08:47 +0000
committerMichael Cummings <mcummings@gentoo.org>2006-06-06 14:08:47 +0000
commit75f9dfd9bd030d1b9693874b644f996c5fd99cbb (patch)
tree25b4162029e2d1e1505678b3e7f88798bbb3c989 /eclass/perl-module.eclass
parentStable on amd64 and x86 wrt bug #135764. (diff)
downloadgentoo-2-75f9dfd9bd030d1b9693874b644f996c5fd99cbb.tar.gz
gentoo-2-75f9dfd9bd030d1b9693874b644f996c5fd99cbb.tar.bz2
gentoo-2-75f9dfd9bd030d1b9693874b644f996c5fd99cbb.zip
Missed a die line in perl-module.eclass, added new dies to perl-app.eclass
Diffstat (limited to 'eclass/perl-module.eclass')
-rw-r--r--eclass/perl-module.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/perl-module.eclass b/eclass/perl-module.eclass
index 778d5e3f72d5..015761923f07 100644
--- a/eclass/perl-module.eclass
+++ b/eclass/perl-module.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.93 2006/06/06 14:01:48 mcummings Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.94 2006/06/06 14:08:47 mcummings Exp $
#
# Author: Seemant Kulleen <seemant@gentoo.org>
# Maintained by the Perl herd <perl@gentoo.org>
@@ -120,7 +120,7 @@ perl-module_src_compile() {
if [ -f Makefile ]; then
make ${mymake} || die "compilation failed"
elif [ -f Build ]; then
- perl Build build
+ perl Build build || die "compilation failed"
fi
}